@use '~@angular/material' as mat;

@include mat.core();

$turquoise: (
  50: #e0f5fc,
  100: #b3e7f8,
  200: #80d7f3,
  300: #4dc7ee,
  400: #26bbeb,
  500: #00afe7,
  600: #00a8e4,
  700: #009fe0,
  800: #0096dd,
  900: #0086d7,
  A100: #feffff,
  A200: #cbe9ff,
  A400: #98d3ff,
  A700: #7fc8ff,
  contrast: (
    50: rgba(black, 0.87),
    100: rgba(black, 0.87),
    200: rgba(black, 0.87),
    300: white,
    400: white,
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
    A100: rgba(black, 0.87),
    A200: white,
    A400: white,
    A700: white,
  ),
);

$kompakkt-primary: mat.define-palette($turquoise);
$kompakkt-accent: mat.define-palette(mat.$pink-palette, 500, 900, A100);
$kompakkt-warn: mat.define-palette(mat.$pink-palette, 500, 900, A100);//(mat.$deep-orange-palette);

$kompakkt-theme: mat.define-light-theme($kompakkt-primary, $kompakkt-accent, $kompakkt-warn);
@include mat.all-component-themes($kompakkt-theme);
